%define upstream_name	 DBIx-Class
%define upstream_version 0.08196

%define _requires_exceptions %perl(DBD::Oracle\\|DBIx::Class::Admin::\\(Types\\|Descriptive\\|Usage\\))

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Extensible and flexible object <-> relational mapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Grouped) >= 0.100.20
BuildRequires: perl(Class::C3::Componentised) >= 1.0.900
BuildRequires: perl(Class::Inspector) >= 1.240.0
BuildRequires: perl(Config::Any) >= 0.200.0
BuildRequires: perl(Context::Preserve) >= 0.10.0
BuildRequires: perl(DBD::SQLite) >= 1.290.0
BuildRequires: perl(DBI) >= 1.570.0
BuildRequires: perl(Data::Compare) >= 1.220.0
BuildRequires: perl(Data::Dumper::Concise) >= 2.20.0
BuildRequires: perl(Data::Page) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Module::Find) >= 0.60.0
BuildRequires: perl(Package::Stash) >= 0.280.0
BuildRequires: perl(Path::Class) >= 0.180.0
BuildRequires: perl(SQL::Abstract) >= 1.720.0
BuildRequires: perl(Scope::Guard) >= 0.30.0
BuildRequires: perl(Sub::Name) >= 0.40.0
BuildRequires: perl(Test::Builder) >= 0.940.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Try::Tiny) >= 0.40.0
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildArch:  noarch

Requires:   perl(Class::C3::Componentised)
Requires:   perl(DBD::SQLite)
Requires:   perl(SQL::Abstract)
Requires:   perl(SQL::Translator)
## scottk: The following provides are missed as they appear
##      on different lines from their "package" declarations
Provides:   perl(DBIC::SQL::Abstract)
Provides:   perl(DBIx::Class::CDBICompat::AccessorMapping)
Provides:   perl(DBIx::Class::CDBICompat::AttributeAPI)
Provides:   perl(DBIx::Class::CDBICompat::AutoUpdate)
Provides:   perl(DBIx::Class::CDBICompat::ColumnCase)
Provides:   perl(DBIx::Class::CDBICompat::ColumnGroups)
Provides:   perl(DBIx::Class::CDBICompat::Constraints)
Provides:   perl(DBIx::Class::CDBICompat::Constructor)
Provides:   perl(DBIx::Class::CDBICompat::DestroyWarning)
Provides:   perl(DBIx::Class::CDBICompat::GetSet)
Provides:   perl(DBIx::Class::CDBICompat::HasA)
Provides:   perl(DBIx::Class::CDBICompat::HasMany)
Provides:   perl(DBIx::Class::CDBICompat::ImaDBI)
Provides:   perl(DBIx::Class::CDBICompat::LazyLoading)
Provides:   perl(DBIx::Class::CDBICompat::LiveObjectIndex)
Provides:   perl(DBIx::Class::CDBICompat::MightHave)
Provides:   perl(DBIx::Class::CDBICompat::ObjIndexStubs)
Provides:   perl(DBIx::Class::CDBICompat::Pager)
Provides:   perl(DBIx::Class::CDBICompat::ReadOnly)
Provides:   perl(DBIx::Class::CDBICompat::Relationship)
Provides:   perl(DBIx::Class::CDBICompat::Retrieve)
Provides:   perl(DBIx::Class::CDBICompat::Stringify)
Provides:   perl(DBIx::Class::CDBICompat::TempColumns)
Provides:   perl(DBIx::Class::CDBICompat::Triggers)
Provides:   perl(DBIx::Class::ClassResolver::PassThrough)
Provides:   perl(DBIx::Class::Componentised)
Provides:   perl(DBIx::Class::Relationship::Accessor)
Provides:   perl(DBIx::Class::Relationship::BelongsTo)
Provides:   perl(DBIx::Class::Relationship::CascadeActions)
Provides:   perl(DBIx::Class::Relationship::HasMany)
Provides:   perl(DBIx::Class::Relationship::HasOne)
Provides:   perl(DBIx::Class::Relationship::Helpers)
Provides:   perl(DBIx::Class::Relationship::ManyToMany)
Provides:   perl(DBIx::Class::Relationship::ProxyMethods)
Provides:   perl(DBIx::Class::ResultSetProxy)
Provides:   perl(DBIx::Class::ResultSourceProxy)
Provides:   perl(DBIx::Class::SQLAHacks)
Provides:   perl(DBIx::Class::SQLMaker::MSSQL)
Provides:   perl(DBIx::Class::SQLMaker::MySQL)
Provides:   perl(DBIx::Class::SQLMaker::Oracle)
Provides:   perl(DBIx::Class::SQLMaker::OracleJoins)
Provides:   perl(DBIx::Class::SQLMaker::SQLite)
Provides:   perl(DBIx::Class::Storage)
Provides:   perl(DBIx::Class::Storage::DBIHacks)
Provides:   perl(DBIx::Class::Storage::DBI::Replicated::Types)
Provides:   perl(DBIx::Class::Storage::TxnScopeGuard)
Provides:   perl(SQL::Translator::Parser::DBIx::Class)

%description
This is an SQL to OO mapper with an object API inspired by Class::DBI
(and a compatibility layer as a springboard for porting) and a
resultset API that allows abstract encapsulation of database
operations. It aims to make representing queries in your code as
perl-ish as possible while still providing access to as many of the
capabilities of the database as possible, including retrieving related
records from multiple tables in a single query, JOIN, LEFT JOIN,
COUNT, DISTINCT, GROUP BY and HAVING support.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/73oracle.t

%build
%{__perl} Makefile.PL installdirs=vendor --skipdeps
%make

%check
##export DBICTEST_PG_DSN="dbi:Pg:dbname=test;host=localhost"
##export DBICTEST_PG_USER=pgtest
##export DBICTEST_PG_PASS='pgtest'
##export DBICTEST_MYSQL_DSN="dbi:mysql:database=test;host=localhost"
##export DBICTEST_MYSQL_USER=mysqltest
##export DBICTEST_MYSQL_PASS='mysqltest'
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_bindir}/dbicadmin
%{perl_vendorlib}/DBIx
%{perl_vendorlib}/SQL
%{_mandir}/man*/*

%changelog

* Thu Dec 08 2011 kharec <kharec> 1:0.81.960-1.mga2
+ Revision: 179219
- update to 0.08196
- update to 0.08195

  + jquelin <jquelin>
    - update to 0.08194

* Wed Jun 15 2011 jquelin <jquelin> 1:0.81.920-1.mga2
+ Revision: 106568
- update to 0.08192

* Thu Mar 10 2011 jquelin <jquelin> 1:0.81.270-2.mga1
+ Revision: 67447
- adding optional dep

* Mon Jan 31 2011 dmorgan <dmorgan> 1:0.81.270-1.mga1
+ Revision: 45215
- New version

* Tue Jan 25 2011 jquelin <jquelin> 1:0.81.260-1.mga1
+ Revision: 38472
- mageia rebuild
- imported package perl-DBIx-Class

